Jump to content
RESET Forums (homeservershow.com)

Gen8 + P420 = NMI error


LeoS
 Share

Recommended Posts

Hi all,

 

I just bought on eBay a P420 to put in my Gen8.

Once installed the server won't boot anymore. It gives me a red screen of death with the error "NMI detected".

In IML I have "PCI Bus Error (Slot 1, Bus 0, Device 1, Function 0)".

I tried with disconnecting all disks and having just the P420 connected, same thing.

P420 is never detected in iLO and the server always ends on the red screen of death.

 

All LEDs on the P420 are blinking green which looks correct according to the doc.

 

Am I doing something wrong or is this card just dead ?

 

Thanks for the help.

Link to comment
Share on other sites

The error is similar to the LSI issue, but the P420 is based on a PMC chipset. If iLo can not see the P420 it may be bad. I would try booting the system with the offline SSA to see if it is visible there. If you can see it in SSA you should be able to upgrade it to the latest firmware. If it does not show up in SSA, try installing it in a different, non HPE server, computer. See if the system boots. If so you may be able to upgrade the firmware there and then bring the P420 back to the Gen8 to see if it will work.

Link to comment
Share on other sites

1 hour ago, schoondoggy said:

The error is similar to the LSI issue, but the P420 is based on a PMC chipset. If iLo can not see the P420 it may be bad. I would try booting the system with the offline SSA to see if it is visible there. If you can see it in SSA you should be able to upgrade it to the latest firmware. If it does not show up in SSA, try installing it in a different, non HPE server, computer. See if the system boots. If so you may be able to upgrade the firmware there and then bring the P420 back to the Gen8 to see if it will work.

 

Well, I don't even get to the boot menu/selector so I doubt I can boot off SSA.

I'll try the card in another computer.

 

Thanks.

 

Link to comment
Share on other sites

Card is recognized in the DL380 Gen8 I have at work. 

From what I can see, the P420 is running firmware 5.22 from 2015. 

Should I upgrade it so it works in the Gen8 with the latest iLO/mob firmwares ? 

 

Thanks.

Link to comment
Share on other sites

I have the same card in my Gen8. 

I got it with 5.22 and it was recognized by my Gen8 (which is updated)

 

I would suggest to upgrade both. Microserver and P420. 

 

 

Link to comment
Share on other sites

1 hour ago, scorpi2ok2 said:

I would suggest to upgrade both. Microserver and P420. 

 

 

 

Thanks for the feedback.

I used SPP to upgrade the P410 from 5.22 to 8.32.

Microserver is running ROM J06 05/21/2018 and iLO 2.61.

 

I'll try that combination when I get back home and keep you guys in touch.

 

Thanks for the help. 

Link to comment
Share on other sites

No luck, issue is still present. 

I have the NMI detected right after the processor initialisation. 

Could it be linked to some incompatibility between the Xeon 1265LV2 and the P420 ? 

 

Thanks. 

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...